Bug Hunting Session
Bug 66324 - crashes when loading multiple images from HTTP links
Summary: crashes when loading multiple images from HTTP links
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.0.1 rc
Hardware: x86-64 (AMD64) Linux (All)
: high critical
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.2.0 target:4.1.0.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-06-28 14:18 UTC by Thomas Hackert
Modified: 2013-07-02 07:28 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
zipped backtrace, as original is 36K in size (3.50 KB, application/zip)
2013-06-28 14:19 UTC, Thomas Hackert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Hackert 2013-06-28 14:18:44 UTC
Hello @ll,
I hope, I have chosen the right Severity, Priority and the like ... If not, feel free to change it back ... ;)

Steps to reproduce:
1. Create a new Writer document
2. Open http://docs.oracle.com/cd/E19957-01/806-3568/ncg_goldberg.html#674 in your browser
3. Scroll down to the header "Floating-point Formats"
4. Copy the first two paragraphs there (the ones with the formulars)
5. Switch to Writer
6. Use <Ctrl>+<L> to insert the text

Expected behaviour: Writer should insert the text as it and should stay open.
Actual: After a couple of seconds Writer crashes ... :(

This bug is reproducible every time I try it ... :(

LO Version: 4.1.0.1 Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155
OS: Debian Testing AMD64

This works with installed Version 4.0.4.2 (Build ID: 9e9821abd0ffdbc09cd8c52eaa574fa09eb08f2) under Debian Testing AMD64, so I will set it as "Regression" ... :(
I will attach a backtrace (created with "soffice --backtrace" afterwards ... ;)
Sorry for the inconvenience
Thomas.
Comment 1 Thomas Hackert 2013-06-28 14:19:50 UTC
Created attachment 81644 [details]
zipped backtrace, as original is 36K in size
Comment 2 Thomas Hackert 2013-06-28 14:43:07 UTC
(In reply to comment #0)
<snip>
> Steps to reproduce:
> 1. Create a new Writer document
> 2. Open http://docs.oracle.com/cd/E19957-01/806-3568/ncg_goldberg.html#674
> in your browser
> 3. Scroll down to the header "Floating-point Formats"
> 4. Copy the first two paragraphs there (the ones with the formulars)
> 5. Switch to Writer
> 6. Use <Ctrl>+<L> to insert the text

this should be <Ctrl>+<V> instead of <L>, sorry ... :(
Sorry for the inconvenience
Thomas.
Comment 3 Joel Madero 2013-06-28 17:46:16 UTC
Confirmed - Bodhi Linux, 4.1.0.1 rc
Comment 4 m.a.riosv 2013-06-29 01:06:21 UTC
Not reproducible with:
Win7x64 Ultimate
Version: 4.1.0.1 Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155
Comment 5 Michael Stahl (CIB) 2013-07-01 10:26:56 UTC
newly introduced locking problem in the WebDAV UCP

fixed on master.
Comment 6 Commit Notification 2013-07-01 10:27:40 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=49a454225e35699d7351faaba3d296e1858c6107

fdo#66324 fix locking in webdav_ucp::Content::getResourceType()



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-07-02 07:28:08 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68956354b57bb7f42fe91f969d4953c578cb496b&h=libreoffice-4-1

fdo#66324 fix locking in webdav_ucp::Content::getResourceType()


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.